# AIエージェント

## メニュー

{% hint style="success" %}

* [**AI Agents**](/ja/aijentoai-agent/ai-agent-tools.md)
* [**MCP**](/ja/into-ai/moderullm/model-context-protocol-mcp.md)
* **A2A**
  {% endhint %}

***

## AIエージェントとは？&#x20;

AIエージェントは、環境を認識し、意思決定を行い、行動を取ることができるコンピュータプログラムやシステムです。これらのエージェントは自律性を持ち、目標志向であり、学習し、論理的推論を行います。ユーザーの意図を入力から理解し、自律的に複雑なタスクを計画し実行することができます。

### なぜAIエージェントが重要なのか？&#x20;

現代のAIエージェントは大規模言語モデル（LLM）の能力に基づいて構築されています。一度開発されると、これらは通常のLLMを機能面で凌駕し、LLMでは達成できないタスクを遂行することができます。前のセクションで議論したケースは、AIエージェントを構築するためのアイデアを提供することを目的としていました。

詳細については、Zapierの記事をご覧ください：

{% embed url="<https://zapier.com/blog/ai-agent/?utm_source=Iterable&utm_medium=email&utm_campaign=itbl-gbl-pgv-ooc-blog_ai_agent_20240529-ctn>" %}

***

## <mark style="color:purple;">ニュースとアップデート：</mark>

### <mark style="color:orange;">OpenAI - A practical guide to building agents</mark>

{% embed url="<https://cdn.openai.com/business-guides-and-resources/a-practical-guide-to-building-agents.pdf>" %}

### <mark style="color:orange;">**ChatGPT Operator**</mark>

OpenAIは、ブラウザを使って予約手配や食料品の注文などのオンラインタスクを自動化するAIエージェント「ChatGPT Operator」をリリースしました。このエージェントは、人間のようにウェブサイトと対話して作業をこなします。

{% embed url="<https://www.youtube.com/live/CSE77wAdDLg?si=brd4B-25_tFMcJDz>" %}

Claudeがコンピュータ利用の新機能を導入

{% embed url="<https://youtu.be/ODaHJzOyVCQ?si=3N9PrI8DfKyQp6-2>" %}

Docs: <https://docs.anthropic.com/en/docs/build-with-claude/computer-use>

***

## 学習資料：

<table data-header-hidden><thead><tr><th width="413.7825520833333"></th><th></th><th data-hidden></th></tr></thead><tbody><tr><td><a href="https://www.technologyreview.com/2024/07/05/1094711/what-are-ai-agents/">https://www.technologyreview.com/2024/07/05/1094711/what-are-ai-agents</a></td><td>What Are AI Agents?</td><td></td></tr><tr><td><a href="https://www.anthropic.com/research/building-effective-agents">https://www.anthropic.com/research/building-effective-agents</a></td><td>Building effective agents</td><td></td></tr><tr><td><a href="https://insights.crewai.com">https://insights.crewai.com</a></td><td>Multi AI Agents I</td><td></td></tr><tr><td><a href="https://www.kaggle.com/whitepaper-agents">https://www.kaggle.com/whitepaper-agents</a></td><td>Agents by Google </td><td></td></tr><tr><td><a href="https://huggingface.co/agents-course">https://huggingface.co/agents-course</a></td><td>Hugging Face Agents Course</td><td></td></tr><tr><td><a href="https://github.com/microsoft/ai-agents-for-beginners">https://github.com/microsoft/ai-agents-for-beginners</a></td><td>10 Lessons to Get Started Building AI Agents</td><td></td></tr><tr><td><a href="https://cdn.openai.com/business-guides-and-resources/a-practical-guide-to-building-agents.pdf">https://cdn.openai.com/business-guides-and-resources/a-practical-guide-to-building-agents.pdf</a></td><td>OpenAI - A practical guide to building agents</td><td></td></tr><tr><td><a href="https://www.anthropic.com/engineering/claude-code-best-practices">https://www.anthropic.com/engineering/claude-code-best-practices</a></td><td>Claude Code: Best practices for agentic coding</td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aiandbusiness.com/ja/aijentoai-agent/aijento.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
